<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Remote;

use Magento\Framework\Exception\NoSuchEntityException;

/**
 * Class CategoryIndexer
 * @package FiloBlu\Refilo\Remote
 */
class CategoryIndexer extends AbstractStoreBasedIndexer
{
    /**
     * @return string
     */
    protected function getClass(): string
    {
        return __CLASS__;
    }

    /**
     * @param $entities
     * @param $collection
     * @throws NoSuchEntityException
     */
    public function write($entities, $collection)
    {
        $this->getConnector()->create($entities, $collection);
    }
}
